#include <iostream>

using namespace std;

int main()
{
	char c1,c2,vise,manje;
	int a1, a2;
	bool moguce = true;
	

	cin >> c1 >> c2;
	cin >> a1 >> a2;

	if(a1 > a2)
	{
		//ako jednog slova ima vise za vise od 1 ne moze
		if(a1>a2+1)
		{
			moguce = false;	
		}
		vise = c1;
		manje = c2;
	}
	else
	{
		if(a2>a1+1)
		{
			moguce = false;
		}
		vise = c2;
		manje = c1;
	}

	if(moguce)
	{
		bool naizmenicno = true;
		for(int i=0;i<a1+a2;i++)
		{
			if(naizmenicno)
				cout << vise;
			else
				cout << manje;
			naizmenicno = !naizmenicno;
		}
	}
	else
	{
		cout << "nemoguce";
	}
}